import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { PdfGroupCountOrderByAggregateInputObjectSchema as PdfGroupCountOrderByAggregateInputObjectSchema } from './PdfGroupCountOrderByAggregateInput.schema';
import { PdfGroupAvgOrderByAggregateInputObjectSchema as PdfGroupAvgOrderByAggregateInputObjectSchema } from './PdfGroupAvgOrderByAggregateInput.schema';
import { PdfGroupMaxOrderByAggregateInputObjectSchema as PdfGroupMaxOrderByAggregateInputObjectSchema } from './PdfGroupMaxOrderByAggregateInput.schema';
import { PdfGroupMinOrderByAggregateInputObjectSchema as PdfGroupMinOrderByAggregateInputObjectSchema } from './PdfGroupMinOrderByAggregateInput.schema';
import { PdfGroupSumOrderByAggregateInputObjectSchema as PdfGroupSumOrderByAggregateInputObjectSchema } from './PdfGroupSumOrderByAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  title: SortOrderSchema.optional(),
  titleKey: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  _count: z.lazy(() => PdfGroupCountOrderByAggregateInputObjectSchema).optional(),
  _avg: z.lazy(() => PdfGroupAvgOrderByAggregateInputObjectSchema).optional(),
  _max: z.lazy(() => PdfGroupMaxOrderByAggregateInputObjectSchema).optional(),
  _min: z.lazy(() => PdfGroupMinOrderByAggregateInputObjectSchema).optional(),
  _sum: z.lazy(() => PdfGroupSumOrderByAggregateInputObjectSchema).optional()
}).strict();
export const PdfGroupOrderByWithAggregationInputObjectSchema: z.ZodType<Prisma.PdfGroupOrderByWithAggregationInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupOrderByWithAggregationInput>;
export const PdfGroupOrderByWithAggregationInputObjectZodSchema = makeSchema();
